TESTING/EIG/sslect.f(3)

NAME
TESTING/EIG/sslect.f

SYNOPSIS

  Functions/Subroutines
logical function sslect (zr, zi)
SSLECT

Function/Subroutine Documentation

  logical function sslect (real zr, real zi)

SSLECT

Purpose:

     SSLECT returns .TRUE. if the eigenvalue ZR+sqrt(-1)*ZI is to be
     selected, and otherwise it returns .FALSE.
     It is used by SCHK41 to test if SGEES successfully sorts eigenvalues,
     and by SCHK43 to test if SGEESX successfully sorts eigenvalues.
     The common block /SSLCT/ controls how eigenvalues are selected.
     If SELOPT = 0, then SSLECT return .TRUE. when ZR is less than zero,
     and .FALSE. otherwise.
     If SELOPT is at least 1, SSLECT returns SELVAL(SELOPT) and adds 1
     to SELOPT, cycling back to 1 at SELMAX.

Parameters
    ZR

              ZR is REAL
              The real part of a complex eigenvalue ZR + i*ZI.

    ZI

              ZI is REAL
              The imaginary part of a complex eigenvalue ZR + i*ZI.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 61 of file sslect.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.